.button,
.p-button {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;

  height: var(--v-form-field__height);

  position: relative;
  text-decoration: none;

  border: 2px solid var(--v-color__1);
  background-color: var(--v-color__1);
  color: var(--v-color__light);

  line-height: var(--v-form-field__line-height);
  font-size: var(--v-form-field__font-size);
  text-align: center;

  cursor: pointer;

  transition: var(--v-transition__default);

  padding: 0 0.5rem 0 1rem;
  margin-top: calc(var(--v-spacing__p) / 2);
  margin-bottom: calc(var(--v-spacing__p) / 2);

  max-width: 100%;

  box-shadow: var(--v-shadow__xs);
}

.button::after,
.p-button::after {
  font-size: 180%;
  content: "\e900";
  font-family: 'w153c-icons-1';
  margin-left: auto;
}

.button:hover,
.p-button:hover {
  background-color: var(--v-color__2);
  border-color: var(--v-color__2);
}

.p-button--alt1 {
  padding-left: calc( var(--v-form-field__height) + 1rem );
  background-color: var(--v-color__2);
  border-color: var(--v-color__2);
}

.p-button--alt2 {
  background-color: var(--v-color__5);
  border-color: var(--v-color__5);
}

.p-button--alt3 {
  background-color: var(--v-color__2);
  border-color: var(--v-color__2);
}

.p-button--alt3:hover {
  background-color: var(--v-color__1);
  border-color: var(--v-color__1);
}

.p-button--alt1::after {
  position: absolute;
  inset: 0 auto 0 0;
  width: var(--v-form-field__height);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--v-color__light);
  color: var(--v-color__dark);
}

.p-button--alt1:hover {
  background-color: var(--v-color__1);
  border-color: var(--v-color__1);
}

.p-button--icon-phone::after {
  content: "\e902";
}

.p-button--icon-email::after {
  content: "\e901";
}
